Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Class STCAdapterConfigurationMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
              com.stc.connector.management.jca.system.mbeans.STCAdapterConfigurationMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class STCAdapterConfigurationMonitor
extends BaseMonitorMBean

Field Summary

Fields inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`mAttributesInfo, mConstructorsInfo, mMBeanInfo, mNotificationsInfo, mOperationsInfo`

Constructor Summary
`STCAdapterConfigurationMonitor()`

Method Summary
`void` | `addAttribInfo(javax.management.MBeanAttributeInfo mbinfo)`
`void` | `addAttribute(java.lang.String propName, java.lang.Object propValue)`
`void` | `displayAttribs()`
`java.lang.Object` | `getAttribute(java.lang.String attribute)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] attributes)` getAttributes implementation
`javax.management.MBeanAttributeInfo[]` | `getMBeanAttributeInfos()`
`javax.management.MBeanConstructorInfo[]` | `getMBeanConstructorInfos()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` invoke mbean operation
`void` | `setAttribute(javax.management.Attribute attribute)` setAttribute implementation
`javax.management.AttributeList` | `setAttributes(javax.management.AttributeList list)` setAttributes implementation

Methods inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`addNotificationListener, buildDefaultDynamicMBeanInfo, buildDynamicMBeanInfo, postDeregister, postRegister, preDeregister, preRegister, removeNotificationListener, sendNotification`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo, handleNotification, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCAdapterConfigurationMonitor

    public STCAdapterConfigurationMonitor()

Method Detail

### addAttribInfo

    public void addAttribInfo(javax.management.MBeanAttributeInfo mbinfo)

### addAttribute

    public void addAttribute(java.lang.String propName,
                             java.lang.Object propValue)

### displayAttribs

    public void displayAttribs()

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttribute` in class `BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] attributes)

  getAttributes implementation

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttributes` in class `BaseMonitorMBean`
  Parameters:
    `attributes` - - array of attribute names
  Returns:
    AttributeList list of attribute aNames and values

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  setAttribute implementation

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttribute` in class `BaseMonitorMBean`
  Parameters:
    `attribute` - name of attribute
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList list)

  setAttributes implementation

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttributes` in class `BaseMonitorMBean`
  Parameters:
    `list` - attribute list
  Returns:
    AttributeList list of attribute names and values

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  invoke mbean operation

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Overrides:
    `invoke` in class `BaseMonitorMBean`
  Parameters:
    `operationName` - name of operation
    `params` - list of parameters to operation
    `signature` - operation signature
  Returns:
    The object returned by the action, which represents the result of invoking the action on the MBean specified
  Throws:
    `javax.management.ReflectionException` - ReflectionException
    `javax.management.MBeanException` - MBeanException

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`
  Overrides:
    `getMBeanInfo` in class `BaseMonitorMBean`

### getMBeanAttributeInfos

    public javax.management.MBeanAttributeInfo[] getMBeanAttributeInfos()

### getMBeanConstructorInfos

    public javax.management.MBeanConstructorInfo[] getMBeanConstructorInfos()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD